runtexfile(1)

NAME
runtexfile - running a LaTeX document and get the command sequence from the document itself

SYNOPSIS
runtexfile [options] <filename>

DESCRIPTION
This command parses comment lines in a latex document which start with %! HV and executes the following commands. For example %! HV lualatex --shell-escape In this case the <filename> given by the script will be used.

OPTIONS

-h,--help
    obvious ... :-)

-V,--version
    obvious ... :-)

-v,--verbose
    Give more informations into a log file

<filename>
    Must be the name of the main LaTeX document without the extension if it is .tex.

EXAMPLES
$ runtexfile test2 runs the testfile test2.tex
voss>examples:$ runtexfile test2
runtexfile version 0.02
Main file: test2
Filename = test2
running: lualatex --interaction=nonstopmode --shell-escape test2
Filename = test2
running: biber  test2
Filename = test2
running: lualatex --interaction=nonstopmode --shell-escape test2
Filename = test2
running: xindex  test2
Special filename = test2.vwx
running: xindex  --config DIN2 -l DE -o test2.vwd test2.vwx
Special filename = test2.dbx
running: xindex  --config DIN2 -l DE -o test2.dbd test2.dbx
Filename = test2
running: lualatex --interaction=nonstopmode --shell-escape test2
Filename = test2
running: lualatex --interaction=nonstopmode --shell-escape test2

See also
See runtexfile-doc.pdf for more details

BUGS
No known bugs.

AUTHOR
Herbert Voß (hvoss@tug.org)

LICENSE
Permission is granted to copy, distribute and/or modify this software under the terms of the LaTeX Project Public License, version 1.3.